List USD virtual accounts
curl --request GET \
--url https://api.daya.co/v1/virtual-accounts \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/virtual-accounts"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "650e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440002",
"merchant_id": "650e8400-e29b-41d4-a716-446655440001",
"currency": "usd",
"status": "active",
"provider": "bridge",
"developer_fee": {
"percentage": "1.5"
},
"deposit_instructions": {
"bank_beneficiary_name": "Bridge Trust",
"bank_beneficiary_address": "123 Finance St, New York, NY",
"bank_name": "Lead Bank",
"bank_address": "1801 Main St, Kansas City, MO",
"bank_routing_number": "101019644",
"bank_account_number": "1234567890",
"payment_rails": ["ach", "wire"]
},
"destination": {
"payment_rail": "base",
"currency": "usdc",
"address": "0x1234567890abcdef1234567890abcdef12345678"
},
"created_at": "2026-01-05T15:04:05Z",
"updated_at": "2026-01-05T15:04:05Z"
}
],
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1
}
USD Virtual Accounts
List USD virtual accounts
List all USD virtual accounts
GET
/
v1
/
virtual-accounts
List USD virtual accounts
Overview
Lists all USD virtual accounts for the authenticated merchant with optional filtering by customer and status. Each virtual account includesdeveloper_fee.percentage.
Authentication
string
required
Your merchant API key
Query Parameters
integer
Number of results per page (default: 50, max: 200)
integer
Page number (default: 1)
string
Filter by customer ID (UUID)
string
Filter by statusAllowed values:
active | inactiveRequest Example
curl --request GET \
--url 'https://api.daya.co/v1/virtual-accounts?limit=50&page=1' \
--header 'X-Api-Key: YOUR_API_KEY'
Response
array
required
Array of virtual account objects
integer
required
Current page number
integer
required
Results per page
integer
required
Total number of virtual accounts
integer
required
Total number of pages
{
"data": [
{
"id": "650e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440002",
"merchant_id": "650e8400-e29b-41d4-a716-446655440001",
"currency": "usd",
"status": "active",
"provider": "bridge",
"developer_fee": {
"percentage": "1.5"
},
"deposit_instructions": {
"bank_beneficiary_name": "Bridge Trust",
"bank_beneficiary_address": "123 Finance St, New York, NY",
"bank_name": "Lead Bank",
"bank_address": "1801 Main St, Kansas City, MO",
"bank_routing_number": "101019644",
"bank_account_number": "1234567890",
"payment_rails": ["ach", "wire"]
},
"destination": {
"payment_rail": "base",
"currency": "usdc",
"address": "0x1234567890abcdef1234567890abcdef12345678"
},
"created_at": "2026-01-05T15:04:05Z",
"updated_at": "2026-01-05T15:04:05Z"
}
],
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1
}